SequenceIndexDelegate (Jython API documentation)
Date: 2012-08-13

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.python.core
Class SequenceIndexDelegate

    java.lang.Object
      org.python.core.SequenceIndexDelegate

All Implemented Interfaces:
  Serializable

    public abstract class SequenceIndexDelegate

extends Object
implements Serializable

Handles all the index checking and manipulation for get, set and del operations on a sequence.

See Also:
  Serialized Form

Constructor Summary
`SequenceIndexDelegate()`

Method Summary
`void` | `checkIdxAndDelItem(PyObject idx)`
`PyObject` | `checkIdxAndFindItem(int idx)`
`PyObject` | `checkIdxAndFindItem(PyObject idx)`
`PyObject` | `checkIdxAndGetItem(PyObject idx)`
`void` | `checkIdxAndSetItem(int idx, PyObject value)`
`void` | `checkIdxAndSetItem(PyObject idx, PyObject value)`
`void` | `checkIdxAndSetSlice(PySlice slice, PyObject value)`
`abstract void` | `delItem(int idx)`
`abstract void` | `delItems(int start, int stop)`
`abstract PyObject` | `getItem(int idx)`
`abstract PyObject` | `getSlice(int start, int stop, int step)`
`PyObject` | `getSlice(PySlice slice)`
`abstract String` | `getTypeName()`
`abstract int` | `len()`
`abstract void` | `setItem(int idx, PyObject value)`
`abstract void` | `setSlice(int start, int stop, int step, PyObject value)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SequenceIndexDelegate

    public SequenceIndexDelegate()

Method Detail

### len

    public abstract int len()

### getItem

    public abstract PyObject getItem(int idx)

### setItem

    public abstract void setItem(int idx,
                                 PyObject value)

### delItem

    public abstract void delItem(int idx)

### getSlice

    public abstract PyObject getSlice(int start,
                                      int stop,
                                      int step)

### setSlice

    public abstract void setSlice(int start,
                                  int stop,
                                  int step,
                                  PyObject value)

### delItems

    public abstract void delItems(int start,
                                  int stop)

### getTypeName

    public abstract String getTypeName()

### checkIdxAndSetItem

    public void checkIdxAndSetItem(PyObject idx,
                                   PyObject value)

### checkIdxAndSetSlice

    public void checkIdxAndSetSlice(PySlice slice,
                                    PyObject value)

### checkIdxAndSetItem

    public void checkIdxAndSetItem(int idx,
                                   PyObject value)

### checkIdxAndDelItem

    public void checkIdxAndDelItem(PyObject idx)

### checkIdxAndGetItem

    public PyObject checkIdxAndGetItem(PyObject idx)

### checkIdxAndFindItem

    public PyObject checkIdxAndFindItem(PyObject idx)

### getSlice

    public PyObject getSlice(PySlice slice)

### checkIdxAndFindItem

    public PyObject checkIdxAndFindItem(int idx)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jython homepage